/********************************************************************

   PROGRAM: DGVPLAYR.H

   PURPOSE: Sample Interactive Player Demonstration header file

   RELEASE NOTES:
      Version - 3/13/92

   Copyright Intel Corp. 1990, 1992
   All Rights Reserved

********************************************************************/


#define IDD_INFO            100

/* Menuitem IDs */

#define DVM_OPEN        100
#define DVM_EXIT        101
#define DVM_PLAY        103
#define DVM_PAUSE       104
#define DVM_STEP        105
#define DVM_REWIND      106
#define DVM_DEFAULT     107
#define DVM_MOD         108
#define DVM_SUS         109
#define DVM_REVERSE     110


#define IDM_OPEN        500        // Open a DIB
#define IDM_EXIT        503        // Exit DibView
#define IDM_ABOUT       504        // About Box


/* Dialog Control IDs */

#define IDD_OPEN_PATH            100
#define IDD_OPEN_FILELIST        101

/* User-defined message for screen-group switching. */

#define	WMU_SYSTEMSHUTDOWN		(WM_USER + 0)

 
#define IDM_PRODUCT                 101
#define IDM_VERSION                 103
#define IDM_DRVFILE                 105
#define IDM_NOFRAMES                107
#define IDM_AUDIO                   109
#define IDM_VIDEO                   110
#define IDM_VOLUME                  111
#define IDM_STOP                    116
#define IDM_PLAY                    117
#define IDM_PAUSE                   118
#define IDM_REWIND                  119
#define IDM_FRAME                   120
#define IDM_OK                      121
#define IDM_REVERSE                 124

/*-------------- Magic numbers -------------------------------------*/
// Maximum length of a filename for DOS is 128 characters.

#define MAX_FILENAME 129

/* Function Prototypes */

long FAR PASCAL DVIWndProc(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL OpenDlg(HWND, unsigned, WORD, LONG);

typedef struct
   vidwin
   {
      HWND           hWnd;
      char           DVIFilename[_MAX_PATH];
      short          vInstNum;
      char           vIname[26];
      long           lFrameNo;
      long           lStatusFrameNo;
      int            wVolume;
      int            wAudon;
      int            wVidon;
      enum {CLOSED,PLAYING,REWINDING,STEPPING,PAUSING,PAUSED,SUSPENDED,END } State;
   }
   vidwin_t;


